org.jetlang.remote.acceptor

## Class JetlangClientHandler.FiberFactory.ThreadFiberFactory

- java.lang.Object
- - org.jetlang.remote.acceptor.JetlangClientHandler.FiberFactory.ThreadFiberFactory

All Implemented Interfaces:
  JetlangClientHandler.FiberFactory

Enclosing interface:
  JetlangClientHandler.FiberFactory

    public static class JetlangClientHandler.FiberFactory.ThreadFiberFactory
    extends Object
    implements JetlangClientHandler.FiberFactory

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.remote.acceptor.JetlangClientHandler.FiberFactory

`JetlangClientHandler.FiberFactory.ThreadFiberFactory`

### Constructor Summary

Constructors
Constructor and Description
`ThreadFiberFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.jetlang.fibers.Fiber` `createGlobalSendFiber()`
`org.jetlang.fibers.Fiber` `createSendFiber(Socket socket)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadFiberFactory

    public ThreadFiberFactory()

### Method Detail

#### createGlobalSendFiber

    public org.jetlang.fibers.Fiber createGlobalSendFiber()

Specified by:
  `createGlobalSendFiber` in interface `JetlangClientHandler.FiberFactory`

#### createSendFiber

    public org.jetlang.fibers.Fiber createSendFiber(Socket socket)

Specified by:
  `createSendFiber` in interface `JetlangClientHandler.FiberFactory`